<?php

namespace GS_BOOKS;

defined('ABSPATH') || exit;

$is_visible = isset($field) ? Helpers::is_visible($field) : true;
$classes = isset($field) ? Helpers::get_visible_classes($field, 'gsb-sp-desc') : ['gsb-sp-desc'];

if (! $is_visible) return;

?>

<div class="gsb-description <?php echo esc_attr(implode(' ', $classes)); ?>">
	<div class="gsb-sp-label">
		<h3><?php echo esc_html(Helpers::get_translation('gsb_description_text_modify')); ?>:</h3>
	</div>

	<div class="gsb-sp-details">
		<?php echo do_shortcode(wpautop(get_the_content())); ?>
	</div>
</div>